updateConversation
Update a Conversation object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
PUT
/v1/chat/conversations/{id}Authorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bp-authenticated-principalstringAuthenticated principal. Injected by the authentication middleware.
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
Path parameters
idstringConversation id
Request body
Conversation data
currentTaskId?stringdeprecatedUnused. This parameter will be ignored if provided and should not be used when updating a conversation.
tags?objectTags for the Conversation. Set to null or empty string to remove.
properties?object**EXPERIMENTAL** - Optional shared properties that can be accessed and modified by both the bot and any of its integrations. Set individual properties to null to remove them.
Response
Returns an updated Conversation object if a valid identifier was provided. Returns an error otherwise
conversationobjectThe Conversation object represents an exchange of messages between one or more users. A Conversation is always linked to an integration's channels. For example, a Slack channel represents a conversation.